/// <reference types="node" />
/**
 * Returns a tuple containing the quotient and remainder when the divident (num) is
 * divided by the divisor (mod).
 * @param num divident
 * @param mod divisor
 */
export declare function divmod(num: bigint, mod: bigint): [bigint, bigint];
/**
 * Base58 encoding and decoding utility
 */
export declare class Base58 {
    static alphabet: string;
    /**
     * Performs base58 encoding by following this process:
     *
     * 1. Finds the leading zeros an creates 1's that will be
     *    prefixed
     * 2. Converts each value into a base58 character by using
     *    the mod operator on the character.
     * 3. The prefix and results of encoding from the base58 characters
     *    are combined.
     * @param buf
     */
    static encode(buf: Buffer): string;
    /**
     * Decodes a base58 string into its original buffer by constructing
     * a number represented in base58 and converting that number into bytes
     * @param input
     */
    static decode(input: string): Buffer;
}
