"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BitcoinErrorCode = void 0;
var BitcoinErrorCode;
(function (BitcoinErrorCode) {
    BitcoinErrorCode[BitcoinErrorCode["InvalidPrivateKey"] = 0] = "InvalidPrivateKey";
    BitcoinErrorCode[BitcoinErrorCode["Base58ChecksumFailed"] = 1] = "Base58ChecksumFailed";
    BitcoinErrorCode[BitcoinErrorCode["PubKeyInvalid"] = 2] = "PubKeyInvalid";
    BitcoinErrorCode[BitcoinErrorCode["PubKeyHashInvalid"] = 3] = "PubKeyHashInvalid";
    BitcoinErrorCode[BitcoinErrorCode["SigEncodingInvalid"] = 4] = "SigEncodingInvalid";
    BitcoinErrorCode[BitcoinErrorCode["SigHashTypeInvalid"] = 5] = "SigHashTypeInvalid";
    BitcoinErrorCode[BitcoinErrorCode["MultiSigSetupInvalid"] = 6] = "MultiSigSetupInvalid";
    BitcoinErrorCode[BitcoinErrorCode["Hash160Invalid"] = 7] = "Hash160Invalid";
    BitcoinErrorCode[BitcoinErrorCode["Hash256Invalid"] = 8] = "Hash256Invalid";
    BitcoinErrorCode[BitcoinErrorCode["NetworkMismatch"] = 9] = "NetworkMismatch";
    BitcoinErrorCode[BitcoinErrorCode["InputIndexOutOfRange"] = 10] = "InputIndexOutOfRange";
    // HD Key Related
    BitcoinErrorCode[BitcoinErrorCode["InvalidHdEncoding"] = 11] = "InvalidHdEncoding";
    BitcoinErrorCode[BitcoinErrorCode["IncorrectKeyVersion"] = 12] = "IncorrectKeyVersion";
    BitcoinErrorCode[BitcoinErrorCode["InvalidHdPath"] = 13] = "InvalidHdPath";
    BitcoinErrorCode[BitcoinErrorCode["InvalidHdDerivation"] = 14] = "InvalidHdDerivation";
    BitcoinErrorCode[BitcoinErrorCode["InvalidHdPrivateKey"] = 15] = "InvalidHdPrivateKey";
    BitcoinErrorCode[BitcoinErrorCode["InvalidHdPublicKey"] = 16] = "InvalidHdPublicKey";
    BitcoinErrorCode[BitcoinErrorCode["UnkownHdKeyVersion"] = 17] = "UnkownHdKeyVersion";
    // bech32
    BitcoinErrorCode[BitcoinErrorCode["InvalidBech32Encoding"] = 18] = "InvalidBech32Encoding";
    BitcoinErrorCode[BitcoinErrorCode["InvalidBech32Hrp"] = 19] = "InvalidBech32Hrp";
    BitcoinErrorCode[BitcoinErrorCode["InvalidBech32Checksum"] = 20] = "InvalidBech32Checksum";
    // addresses
    BitcoinErrorCode[BitcoinErrorCode["UnknownAddressPrefix"] = 21] = "UnknownAddressPrefix";
    BitcoinErrorCode[BitcoinErrorCode["InvalidSegwitVersion"] = 22] = "InvalidSegwitVersion";
    BitcoinErrorCode[BitcoinErrorCode["InvalidWitnessProgram"] = 23] = "InvalidWitnessProgram";
    // mnemonics
    BitcoinErrorCode[BitcoinErrorCode["InvalidMnemonicWordList"] = 24] = "InvalidMnemonicWordList";
    BitcoinErrorCode[BitcoinErrorCode["InvalidMnemonicEntropy"] = 25] = "InvalidMnemonicEntropy";
    BitcoinErrorCode[BitcoinErrorCode["InvalidMnemonicWord"] = 26] = "InvalidMnemonicWord";
    BitcoinErrorCode[BitcoinErrorCode["InvalidMnemonicChecksum"] = 27] = "InvalidMnemonicChecksum";
    // WIF
    BitcoinErrorCode[BitcoinErrorCode["InvalidWifEncoding"] = 28] = "InvalidWifEncoding";
    BitcoinErrorCode[BitcoinErrorCode["UnknownWifPrefix"] = 29] = "UnknownWifPrefix";
    // Value
    BitcoinErrorCode[BitcoinErrorCode["ValueUnderflow"] = 30] = "ValueUnderflow";
})(BitcoinErrorCode = exports.BitcoinErrorCode || (exports.BitcoinErrorCode = {}));
//# sourceMappingURL=BitcoinErrorCode.js.map