import { TxIn } from "./TxIn";
import { TxOut } from "./TxOut";
/**
 * Compares two transaction inputs and lexicographically sorted in
 * ascending order using the reversed byte order (RPC) of the txids.
 * If the same txids are in both TxIn, then the output index is sorted
 * in ascending order.
 * @param a
 * @param b
 */
export declare function bip69InputSorter(a: TxIn, b: TxIn): number;
/**
 * Sort transaction amounts in ascending order. Then ScriptPubKey values
 * will be sorted in ascending byte order next.
 * @param a
 * @param b
 */
export declare function bip69OutputSorter(a: TxOut, b: TxOut): number;
