"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Network = void 0;
class Network {
    constructor(name, p2pkhPrefix, p2shPrefix, p2wpkhPrefix, p2wshPrefix, xpubVersion, xprvVersion, ypubVersion, yprvVersion, zpubVersion, zprvVersion, wifPrefix) {
        this.name = name;
        this.p2pkhPrefix = p2pkhPrefix;
        this.p2shPrefix = p2shPrefix;
        this.p2wpkhPrefix = p2wpkhPrefix;
        this.p2wshPrefix = p2wshPrefix;
        this.xpubVersion = xpubVersion;
        this.xprvVersion = xprvVersion;
        this.ypubVersion = ypubVersion;
        this.yprvVersion = yprvVersion;
        this.zpubVersion = zpubVersion;
        this.zprvVersion = zprvVersion;
        this.wifPrefix = wifPrefix;
    }
    isMainnet() {
        return this.name === "mainnet";
    }
    static get mainnet() {
        return mainnet;
    }
    static get testnet() {
        return testnet;
    }
    static get regtest() {
        return regtest;
    }
    static get all() {
        return all;
    }
}
exports.Network = Network;
const mainnet = new Network("mainnet", 0x00, // 1
0x05, // 3
"bc", "bc", 0x0488b21e, // xpub
0x0488ade4, // xprv
0x049d7cb2, // ypub
0x049d7878, // yprv
0x04b24746, // zpub
0x04b2430c, // zprv
0x80);
const testnet = new Network("testnet", 0x6f, // m or n
0xc4, // 2
"tb", "tb", 0x043587cf, // tpub
0x04358394, // tprv
0x044a5262, // upub
0x044a4e28, // uprv
0x045f1cf6, // vpub
0x045f18bc, // vprv
0xef);
const regtest = new Network("regtest", 0x6f, // m or n
0xc4, // 2
"bcrt", "bcrt", 0x043587cf, // tpub
0x04358394, // tprv
0x044a5262, // upub
0x044a4e28, // uprv
0x045f1cf6, // vpub
0x045f18bc, // vprv
0xef);
const all = [mainnet, testnet, regtest];
//# sourceMappingURL=Network.js.map