"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeLockMode = void 0;
/**
 * Specifies what a time lock is based on. Currently this can either be
 * a block-based or timestamp-based time lock and is used for absolute
 * time locks (nLocktime) or relative time locks (nSequence).
 */
var TimeLockMode;
(function (TimeLockMode) {
    /**
     * Block height based time lock
     */
    TimeLockMode[TimeLockMode["Block"] = 0] = "Block";
    /**
     * Unix timestamps based time lock
     */
    TimeLockMode[TimeLockMode["Time"] = 1] = "Time";
})(TimeLockMode = exports.TimeLockMode || (exports.TimeLockMode = {}));
//# sourceMappingURL=TimeLockMode.js.map